using MessagePack;

namespace Dto.SignalRNet
{
    [MessagePackObject]
    public class SyncImageInfo
    {

        [Key("productName")]
        public string ProductName { get; set; } = null!;

        /// <summary>
        /// 生产类型，区分是那个部件
        /// </summary>
        [Key("productType")]
        public string ProductType { get; set; } = null!;

        [Key("packetUrl")]
        public string PacketUrl { get; set; } = null!;

        [Key("sceneImageUrl")]
        public string SceneImageUrl { get; set; } = null!;

        [Key("sceneImageObjectName")]
        public string SceneImageObjectName { get; set; } = null!;

        [Key("packetObjectName")]
        public string PacketObjectName { get; set; } = null!;

        [Key("submitTime")]
        public DateTime SubmitTime { get; set; }
    }
}
